// Copyright 2016 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

syntax = "proto2";

package android.vts;
option java_package = "com.android.vts.proto";
option java_outer_classname = "VtsExecutionSpecificationMessage";

import "test/vts/proto/ComponentSpecificationMessage.proto";

// Specifies API call sequence.
message ExecutionSpecificationMessage {
  // Lists API calls.
  repeated FunctionCallMessage function_call = 1;
  // Used to ensure that garbage bytes cannot be accidentally parsed.
  optional bool valid = 1000;
}
